function out = DrawParticle( YCenter, XCenter, Radius, Intensity, YSize, XSize )

xIndex = repmat(1:XSize, YSize, 1);
yIndex = repmat((1:YSize)', 1, XSize);

distance = sqrt((xIndex - XCenter).^2 + (yIndex - YCenter).^2) ./ Radius;
mask = (distance < 1);

out = Intensity .* mask .* cos(distance .* pi ./ 2);

end